from setuptools import setup, Extension
from Cython.Build import cythonize

extensions = [
    Extension(
        "kagent_cli.client",
        ["src/kagent_cli/client.py"],
        extra_compile_args=["-O3"]
    ),
    Extension(
        "kagent_cli.__main__",
        ["src/kagent_cli/__main__.py"],
        extra_compile_args=["-O3"]
    )
]

setup(
    name="kagent-cli",
    version="0.0.6",
    package_dir={"": "src"},
    packages=["kagent_cli"],
    ext_modules=cythonize(extensions),
    python_requires=">=3.7",
    install_requires=[
        "asyncio>=3.4.3",
        "websockets>=9.1",
        "aiohttp>=3.7.4"
    ],
    entry_points={
        "console_scripts": [
            "kagent-cli=kagent_cli.__main__:main",
        ],
    }
)